#ifndef LDAPCHECK
#define LDAPCHECK

#ifdef WIN32

#include "windows.h"
#include "winldap.h"
#define ldap_init ldap_initA
#define ldap_start_tls_s ldap_start_tls_sA
#define ldap_simple_bind_s ldap_simple_bind_sA

#else

#define LDAP_DEPRECATED 1
#include "ldap.h"
#include <stdlib.h>

#endif

int LDAPCheck( char *host, char *port, char *bind_dn, char *bind_pw, bool TLS=false);

#endif
